#ifndef QSCI_ISRSOURCE_H
#define QSCI_ISRSOURCE_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "cyg/hal/imb3_isrsource.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
//------------------
// Class declaration
//------------------
class QSCI_isrSource : public IMB3_isrSource
{
  public:
                       QSCI_isrSource(IMB3_isrDispatcher * a_dispatcher,
                                      unsigned char a_sci_interrupt_priority,
                                      unsigned char a_spi_interrupt_priority);
    virtual            ~QSCI_isrSource();

    // Overloaded virtuals from base class IMB3_isrSource
    virtual cyg_uint32 findInterruptingVector(unsigned char a_priority);
    virtual void       enableInterrupts(void);
    virtual void       disableInterrupts(void);

  private:
    unsigned char      m_sci_priority;
    unsigned char      m_spi_priority;
};
#endif // if !defined ...

#endif // QSCI_ISRSOURCE_H
