#ifndef TOUCAN_ISRSOURCE_H
#define TOUCAN_ISRSOURCE_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "cyg/hal/imb3_isrsource.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
//------------------
// Class declaration
//------------------
class TOUCAN_isrSource : public IMB3_isrSource
{
  public:
    typedef enum {
      TOUCAN_A,
      TOUCAN_B
    } TOUCAN_IDENTIFICATION;

                          TOUCAN_isrSource(IMB3_isrDispatcher * a_dispatcher,
                                           unsigned char a_isrpriority,
                                           TOUCAN_IDENTIFICATION a_identification);
    virtual               ~TOUCAN_isrSource(); 
     
    // Overloaded virtuals from base class IMB3_isrSource
    virtual cyg_uint32    findInterruptingVector(unsigned char a_priority);
    virtual void          enableInterrupts(void);
    virtual void          disableInterrupts(void);

  private:
    unsigned char         m_priority;
    TOUCAN_IDENTIFICATION m_identification;
};
#endif // if !defined ...

#endif // TOUCAN_ISRSOURCE_H
