#ifndef CANCONFIG_KEYS_H
#define CANCONFIG_KEYS_H

//----------------------------------
// Includes and forward declarations
//----------------------------------

//-----------------------
// Definition of the keys
//-----------------------
// The lowest level "SET" keys
#define CAN_IO_SET_CONFIG_CAN_INFO         0x0010
#define CAN_IO_SET_CONFIG_RXID1_INT_ACTION 0x0020
#define CAN_IO_SET_CONFIG_RXID2_INT_ACTION 0x0030
#define CAN_IO_ADD_RX_ID                   0x0040
#define CAN_IO_REMOVE_RX_ID                0x0050
#define CAN_IO_ADD_RTR_ID                  0x0060
#define CAN_IO_REMOVE_RTR_ID               0x0070
#define CAN_IO_UPDATE_RTR_BUFFER           0x0080
#define CAN_IO_RESET                       0x0090
#define CAN_IO_ERROR_RESET                 0x00A0

// The lowest level "GET" keys
#define CAN_IO_GET_CONFIG_CAN_INFO         0x0011

#endif // CANCONFIG_KEYS_H
