#ifndef IMB3_ISRSOURCE_H
#define IMB3_ISRSOURCE_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "pkgconf/system.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
#include "cyg/infra/cyg_type.h"
class IMB3_isrDispatcher;

//------------------
// Class declaration
//------------------
class IMB3_isrSource
{
  public:
                         IMB3_isrSource(IMB3_isrDispatcher * a_dispatcher);
    virtual              ~IMB3_isrSource();

    // Some pure virtuals
    virtual cyg_uint32   findInterruptingVector(unsigned char a_interruptpriority) = 0;
    virtual void         enableInterrupts(void) = 0;
    virtual void         disableInterrupts(void) = 0;

  protected:
    IMB3_isrDispatcher * m_dispatcher;
};
#endif // if !defined

#endif // IMB3_ISRSOURCE_H
