#ifndef PIT_ISRDISPATCH_H
#define PIT_ISRDISPATCH_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "cyg/hal/hal_isrdispatch.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
//------------------
// Class declaration
//------------------
class PIT_isrDispatcher : public HAL_isrDispatcher
{
  public:
                       PIT_isrDispatcher();
    virtual            ~PIT_isrDispatcher();

  protected:
    virtual cyg_uint32 findInterruptingVector(void);
    virtual bool       setInterruptingLevel(unsigned char a_level);
    virtual void       enableInterruptingDevice(void);
    virtual void       disableInterruptingDevice(void);
};
#endif // if !defined ...

#endif // PIT_ISRDISPATCH_H
