#ifndef KTHREAD_H
#define KTHREAD_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include <cyg/kernel/kapi.h>

//------------------
// Class declaration
//------------------
class KThread : public cyg_thread
{
  public:
                 KThread(unsigned int a_priority, char * a_name,
                         void * a_stack, size_t a_stacksize);
    virtual      ~KThread();

    void         suspend(void);
    void         resume(void);
    void         release(void);

  protected:
    virtual void threadEntry(void) = 0;

  private:
    static void  sthreadEntry(KThread * a_thread);
    cyg_handle_t m_handle;
};

#endif // KTHREAD_H
